<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use \App\User;

use Auth;
use Session;
use Hash;

class LoginAdminController extends Controller
{
    public function iniciarAdmin(Request $request){
        if(Auth::attempt(['email' => $request['email'], 'password' => $request['password']])){
            // return redirect('admin');

            // redireccionar si viene del email de aviso de nuevo mensaje (REVISOR)
            if (Session::has('urlprevia')) {
                $url = Session::get('urlprevia', '');
                $rutaRevisor = explode("admin/inscription/", $url);
                $rutaPostulante = explode("my-projects/", $url);

                if (isset($rutaRevisor[1]) && is_numeric($rutaRevisor[1])) {
                    return redirect('admin/inscription/'.$rutaRevisor[1]);
                }
                
                if (isset($rutaPostulante[1])) {
                    return redirect('my-projects/'.$rutaPostulante[1]);
                }
            }

            // Si UNICAMENTE es un POSTULANTE
            $user = Auth::user();
            if (count($user->getRoleNames()) == 1 && $user->hasRole('postulante')) {
                return redirect('my-projects');
            }

            // Si es revisor, administrador o superadmin
            return redirect()->action('Admin\InscriptionController@index');
        }else{
            Session::flash('mensajeError', 'Los datos son incorrectos');
            return back();
        }
    }

    public function cerrar(){
        Auth::logout();
        return redirect('admin');
    }


    // cambiar la contraseña
    public function formularioCambiarPassword(){
        return view('admin.changePassword');
    }

    public function cambiarPassword(Request $request){
        $validatedData = $request->validate([
            'email' => 'required|email',
            'password_actual' => 'required',
            'password_nuevo' => 'required',
            'password_nuevo_confirm' => 'required|same:password_nuevo',
        ]);

        $usuario = User::where('email', '=', $request->email)
                        ->select('users.*')
                        ->get()
                        ->first();

        if (!is_null($usuario)) {
            if (!Hash::check($request->password_actual, $usuario->password)) {
                Session::flash('mensajeError', 'No coinciden los datos');
            }else{
                $usuario->password = Hash::make($request->password_nuevo);
                $usuario->save();

                Session::flash('guardado', 'Su password a sido actualizado');
            }
        }else{
            Session::flash('mensajeError', 'No existe la cuenta');
        }

        return back();
    }
}
