<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Requests\ReviewMessageRequest;

use App\Http\Controllers\Controller;
use App\Http\Controllers\MailController;

use App\Project;
use App\Review;
use App\Stage;
use App\User;

use DB;
use Auth;

class MyProjectController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $proyectos = Project::where('user_id', '=', Auth::id())
                            ->select('projects.title', 'projects.hash')
                            ->get();
                            // dd($proyectos);

        $args = [

            'projects' => $proyectos,

        ];

        return view('admin.models.myproject.collection', $args);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($hash)
    {
        $proyecto = Project::where('hash', '=', $hash)->get()->first();
        // dd($proyecto);

        if (is_null($proyecto) || $proyecto->user_id != Auth::id()) {
            return redirect('my-projects');
        }

        $messages = Review::join('users', 'users.id', '=', 'reviews.revisor_id')
                                        ->where('project_id', '=', $proyecto->id)
                                        ->where('type', '=', 'message')
                                        ->select('reviews.*', 'users.name as nombreAutor')

                                        // ->latest()
                                        ->get();
        
        $args = [
            'project' => $proyecto,
            'messages' => $messages,
        ];
        return view('admin.models.myproject.detail', $args);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function storeMessage(ReviewMessageRequest $request){
        $message = new Review();

        $message->project_id = $request->idProject;
        $message->revisor_id = $request->idRevisor;
        $message->comment = $request->comment;
        $message->rating = null;
        $message->type = "message";

        $message->save();

        // Proyecto
        $proyectoComentado = Project::where('id', '=', $request->idProject)
                                        ->select('user_id')
                                        ->get()->first();
        $idAutorProyecto = $proyectoComentado->user_id;

        // Rol del autor del mensaje:
        $autorDelmensaje = User::where('id', '=', $request->idRevisor)->get()->first();

        if ($autorDelmensaje->hasRole('revisor') && $idAutorProyecto != $autorDelmensaje->id) {
            $enviarEmail = new MailController();
            $tipoUsuarioDestinatario = "postulante";
            $postulante = User::where('id', '=', $idAutorProyecto)->get()->first();
            $emailPostulante = $postulante->email;

            $datos = Project::where('id', '=', $request->idProject)
                                ->select('id', 'title', 'hash')
                                ->get()->first();

            $enviarEmail->sendMailNewMessage(md5(microtime()), $emailPostulante, $tipoUsuarioDestinatario, $datos);
        }elseif ($autorDelmensaje->hasRole('postulante')) {
            //Envio de email a los revisores del proyecto
            $enviarEmail = new MailController();
            $tipoUsuarioDestinatario = "revisor";
            $revisores = DB::table('project_revisor')->join('users', 'users.id', '=', 'project_revisor.revisor_id')
                    ->where('project_revisor.project_id', '=', $request->idProject)
                    ->where('project_revisor.stage_id', '=', Stage::etapaActivaId())

                    ->select('users.email')
                    ->get();

            $emailsRevisores = $revisores->pluck('email')->toArray();

            $datos = Project::where('id', '=', $request->idProject)
                                ->select('id', 'title', 'hash')
                                ->get()->first();

            foreach ($emailsRevisores as $key => $value) {
                $enviarEmail->sendMailNewMessage(md5(microtime()), $value, $tipoUsuarioDestinatario, $datos);
            }
        }


        $request->session()->flash('mensajeGuardado', 'Mensaje agregado');

        return back();
    }
}
