<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class MailController extends Controller
{


    public function sendMail($token,$toUser){
        Mail::send('email.contact',['token' => $token,'toUser' => $toUser],function ($message)use ($token, $toUser) {
            $message->from('guntref@untref.edu.ar');
            $message->to($toUser,'Admin')->subject('Convocatoria  ');
        });
    }

    // Email al inscribirse
    public function sendMailInscription($token,$toUser,$lang){
        Mail::send('email.inscription',['token' => $token,'toUser' => $toUser, 'lang' => $lang],function ($message)use ($token, $toUser, $lang) {
            $message->from('bienalsurnoreply@untref.edu.ar', 'BIENALSUR');
            $message->to($toUser,'Admin')->subject('Convocatoria  ');
        });
    }

    // email de prueba por URL
    public function TestSendMailInscription(){
        $token = md5(microtime());
        $toUser = "pcoronel@untref.edu.ar";
        $lang = "pt";
        $message = "sdsaa";

        Mail::send('email.inscription',['token' => $token,'toUser' => $toUser, 'lang' => $lang],function ($message)use ($token, $toUser, $lang) {
            $message->from('bienalsurnoreply@untref.edu.ar', 'BIENALSUR');
            $message->to($toUser,'Admin')->subject('Convocatoria  ');
        });
    }

    // Email al escribir un mensaje entre revisores y postulantes
    public function sendMailNewMessage($token,$toUser, $tipoUsuarioDestinatario, $proyecto){
        Mail::send('email.newMessage', ['token' => $token,'toUser' => $toUser, 'tipoUsuarioDestinatario' => $tipoUsuarioDestinatario, 'proyecto' => $proyecto], 
            function ($message) use ($token, $toUser) {
                $message->from('bienalsurnoreply@untref.edu.ar', 'BIENALSUR');
                $message->to($toUser,'Admin')->subject('Convocatoria: Nuevo mensaje  ');
            }
        );
    }


}
