<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Review extends Model
{
    protected $table = 'reviews';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [ 'project_id', 'revisor_id', 'comment', 'rating'];

    public $timestamps = true;

    // RELACIONES:
    
    public function user(){
        return $this->belongsTo('App\User', 'revisor_id', 'id');
    }

    public function project(){
        return $this->belongsTo('App\Project', 'project_id', 'id');
    }
}
