<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Team extends Model
{
    protected $table = 'teams';

    protected $fillable = ['user_id'];

    public $timestamps = true;

    // RELACIONES:
    
    // Miembros del equipo
    public function members(){
        return $this->belongsToMany('App\User', 'team_user', 'team_id', 'user_id');
    }

    // Dueño del equipo
    public function owner(){
        return $this->belongsTo('App\User', 'user_id', 'id');
    }

    public function projects(){
        return $this->hasMany('App\Project', 'team_id', 'id');
    }
}
