<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Userdata extends Model
{
    protected $table = 'userdata';

    protected $fillable = [ 'name','surname','dni','address','ciudad','country_id','nacionality','birthdate','telephone','celphone'];

    public $timestamps = true;

    // RELACIONES:
    
    public function city(){
        return $this->belongsTo('App\City', 'city_id', 'id')->withDefault(['city' => 'sin ciudad']);
    }

    // (No tiene fk en la BD)
    public function country(){
        return $this->belongsTo('App\Country', 'country_id', 'id')->withDefault(['es' => 'sin pais', 'en' => 'without country', 'pt' => 'sem país', 'fr' => 'sans pays']);
    }

    public function user(){
        return $this->belongsTo('App\User', 'user_id', 'id');
    }
}
