<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProjectsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('projects', function (Blueprint $table) {
            $table->increments('id');
            $table->string('hash')->nullable();
            $table->string('title')->nullable();
            $table->string('team')->nullable();
            $table->text('summary')->nullable();
            $table->text('description')->nullable();
            $table->text('space')->nullable();
            $table->text('estimated_bucket')->nullable();
            $table->string('type')->nullable();

            $table->text('complementary_info')->nullable();

            $table->text('material_link')->nullable();
            $table->text('material_password')->nullable();
            
            $table->integer('user_id')->unsigned()->nullable();

            $table->integer('team_id')->unsigned()->nullable();
            $table->boolean('active')->default(1);

            $table->integer('origin_id')->unsigned()->nullable();

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('team_id')->references('id')->on('teams')->onDelete('cascade')->onUpdate('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('projects');
    }
}
