@extends('admin.layouts.login')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                {{-- <div class="card-header">Login</div> --}}

                <div class="card-body">
                    {{-- De error --}}
                    @if(Session::has('mensajeError'))
                        <div class="alert alert-warning" role="alert">
                            {{Session::get('mensajeError', '')}}
                        </div>
                    @endif

                    {{-- ok --}}
                    @if(Session::has('guardado'))
                        <div class="alert alert-success" role="alert">
                            {{Session::get('guardado', '')}}
                        </div>
                    @endif

{{-- {{ LaravelLocalization::getCurrentLocale() }}

<ul>
    @foreach(LaravelLocalization::getSupportedLocales() as $localeCode => $properties)
        <li>
            <a rel="alternate" hreflang="{{ $localeCode }}" href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}">
                {{ $properties['native'] }}
            </a>
        </li>
    @endforeach
</ul> --}}
                    <form method="POST" action="{{ route('saveChangePassword') }}">
                        @csrf

                        <div class="form-group row">
                            <label for="email" class="col-sm-4 col-form-label text-md-right">E-Mail de su cuenta</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}" required autofocus>

                                @if ($errors->has('email'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">Password actual</label>

                            <div class="col-md-6">
                                <input id="password_actual" type="password" class="form-control{{ $errors->has('password_actual') ? ' is-invalid' : '' }}" name="password_actual" required>

                                @if ($errors->has('password'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">Password nuevo</label>

                            <div class="col-md-6">
                                <input id="password_nuevo" type="password" class="form-control{{ $errors->has('password_nuevo') ? ' is-invalid' : '' }}" name="password_nuevo" required>

                                @if ($errors->has('password_nuevo'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('password_nuevo') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">Confirmar password nuevo</label>

                            <div class="col-md-6">
                                <input id="password_nuevo_confirm" type="password" class="form-control{{ $errors->has('password_nuevo_confirm') ? ' is-invalid' : '' }}" name="password_nuevo_confirm" required>

                                @if ($errors->has('password_nuevo_confirm'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('password_nuevo_confirm') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-6">
                                <button type="submit" class="btn btn-primary">
                                    Enviar
                                </button>
                            </div>
                            <div class="col-md-6">
                            	@if(Session::has('guardado'))
	                                <a href="{{ URL::to('') }}/admin/login" class="btn btn-success">Ingresar</a>
                                @endif
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
