<meta name="csrf-token" content="{{ csrf_token() }}">
@extends('admin.layouts.app')
@section('content')
    <h1 class="page-header">Asignaciones</h1>

    <div class="row" style="margin-bottom: 15px;">
        <div class="col-xs-12 col-sm-12" style="margin-bottom: 10px;">
            Proyectos disponibles: <b>{{ $total_proyectos }}</b>
        </div>

        @role('superadmin|administrador')
            <div class="col-xs-12 col-sm-12">

                {{-- filtro REVISORES --}}
                <div class="col-xs-12 col-sm-6">
                    <div style="float: left;position: relative;right: 10px;">
                        Revisores:
                    </div>
                    <form action="asignators" method="get">
                        <div style="float: left;">
                            @if(isset($_GET['filtroEtapa']))
                                <select name="idRevisor" class="filtroAsignators" onchange="this.form.submit()">
                            @else
                                <select name="idRevisor" class="filtroAsignators">
                            @endif
                                    @if(!empty($select_asign))
                                    <option value="" >Seleccionar</option>
                                        @foreach($select_asign as $sa)
                                        <option value="{{$sa['id']}}" {{ ($idRevisor==$sa['id'])?"selected":""}} >{{ $sa['name'] }}</option>
                                        @endforeach
                                    @endif

                                </select>
                        </div>
                        
                        @if(isset($_GET['filtroEtapa']))
                            <input type="hidden" name="filtroEtapa" class="filtroEtapa" value="{{ $_GET['filtroEtapa'] }}">
                        @else
                            <input type="hidden" name="filtroEtapa" class="filtroEtapa">
                        @endif

                        <div style="float:left;position:relative;left:10px">    
                         <a href="javascript:void(0)" class="btn btn-primary button_asign" style="position: relative;top: -10px;left: 5px;font-size: 13px !important;">Asignar Revisor</a>
                        </div>

                    </form>
                </div>

                {{-- filtro ETAPAS --}}
                <div class="col-xs-12 col-sm-6">
                    <div style="float: left;position: relative;right: 10px;">
                        Etapa:
                    </div>
                    <form action="asignators" method="get">
                        <div style="float: left;">
                            <select name="filtroEtapa" class="filtroEtapa" {{(!empty($idRevisor))?"":"disabled"}} onchange="this.form.submit()" >
                                <option value="" >Seleccionar Etapa</option>

                                    @foreach($etapas as $key2 => $etp)

                                        <option {{ ($filtroEtapa==$etp)?'selected':'' }}  value="{{$etp}}" >Etapa {{$etp}}</option>
                                   
                                    @endforeach

                            </select>
                        </div>

                        @if(isset($_GET['idRevisor']))
                            <input type="hidden" name="idRevisor" class="idRevisor" value="{{ $_GET['idRevisor'] }}">
                        @else
                            <input type="hidden" name="idRevisor" class="idRevisor">
                        @endif
                    </form>
                </div>
            </div>
        @endrole

        {{-- 
                <div class="col-xs-12 col-sm-1" style="position: relative;top: 12px;">
                    <a href="asignators" class="btn btn-primary btn-xs">Quitar filtros</a>
                </div>
        --}}
    </div>


    {{-- proyectos --}}
    <div class="table-responsive">
        <table class="table display table-hover" id="tablaProyectos" style="font-size: 14px !important;">
            <thead>
                <tr>
                    <th style="padding-left: 14px;position: relative;width: 32px;text-align: right;">Nº</th>
                    <th>Título</th>
                    <th style="width: 110px;" >Estado</th>
        
                    @role('superadmin|administrador')
                        @if(isset($_GET['filtroResenia']) && ($_GET['filtroResenia'] == 2 || $_GET['filtroResenia'] == 1))
                            <th>Estado</th>
                        @endif
                    @endrole
        
                    <th>Ver</th>
        
                    @role('superadmin')
                        <th>Archivar</th>
                    @endrole
                </tr>
            </thead>
        
            <tbody>
                    @if(\Session::has('detalleEnProceso'))
                        @php($detalleEnProceso = \Session::get('detalleEnProceso'))
                    @endif
        
                    @if(\Session::has('detalleEvaluado'))
                        @php($detalleEvaluado = \Session::get('detalleEvaluado'))
                    @endif
        
                    @php($reseniado = '')
        
                    @foreach($projects as $key => $proyecto)
                        @switch($proyecto->reseniado)
                            @case('EVALUADO')
                                @php($reseniado = "success")
                                @break
        
                            @case('EN PROCESO')
                                @php($reseniado = "warning")
                                @break
        
                            @case('NO EVALUADO')
                                @php($reseniado = "danger")
                                @break
        
                            @default
                                @php($reseniado = "")
                                @break
                        @endswitch
        
                        
                    
                        <tr class="{{ $reseniado }}">
                            <td style="width: 70px;"><input type="checkbox" {{ (!empty($filtroEtapa))?'':'disabled' }} value="{{$proyecto->id}}" name="assigned" class="assigned" style="position: relative;top: 2px;width: 20px;height: 15px;"> &nbsp;{{ $proyecto->origin_id }}</td>
                            <td>{{$proyecto->title}}</td>
                            <td>{{ucwords(strtolower($proyecto->reseniado))}}</td>
        
                            @role('superadmin|administrador')
                                @if(isset($_GET['filtroResenia']) && ($_GET['filtroResenia'] == 2 || $_GET['filtroResenia'] == 1))
                                    @if(\Session::has('detalleEnProceso'))
                                        @foreach($detalleEnProceso as $keyDetalle => $cadaDetalle)
                                            @if($cadaDetalle['idProyecto'] == $proyecto->id)
                                                <td>{{ '(' . $cadaDetalle['cantidadCommentRecibida'] . ' de ' .  $cadaDetalle['cantidadRevisores'] . ')' }} </td>
                                            @endif
                                        @endforeach
                                    @endif
        
                                    @if(\Session::has('detalleEvaluado'))
                                        @foreach($detalleEvaluado as $keyEvaluado => $cadaEvaluado)
                                            @if($cadaEvaluado['idProyecto'] == $proyecto->id)
                                                <td>{{ '(' . $cadaEvaluado['cantidadCommentRecibida'] . ' de ' .  $cadaEvaluado['cantidadRevisores'] . ')' }} </td>
                                            @endif
                                        @endforeach
                                    @endif
                                @endif
                            @endrole
                            <td>
                                <a class="btn btn-primary btn-sm" href="{{ URL::to('/') }}/admin/inscription/{{ $proyecto->id }}">Ver proyecto</a>
                            </td>
        
        
                        @role('superadmin')
                            <td>
                                <a class="btn btn-warning btn-sm" href="{{ URL::to('/') }}/admin/archiveProject/{{ $proyecto->id }}" onclick="return archivarProyecto('{{$proyecto->title}}')">Archivar</a>
                            </td>
                        @endrole
                        </tr>
                    @endforeach
                </form>
            </tbody>
        </table>
    </div>

@endsection


@section('scripts')
    <style>
        .btn-warning{
            font-size:12px !important;
        }
        .btn-primary{
            font-size:12px !important;
        }
    </style>

    <script>
        $(document).ready( function () {
            $(".filtroAsignators").change(function(){
                if($(this).val()!= ""){

                    $(".filtroEtapa").prop("disabled",false);
                    $(".idRevisor").val($(this).val());

                }else{

                    $('.filtroEtapa option[value=""]').attr('selected','selected');

                    $(".filtroEtapa").prop("disabled",true);
                }

            });


            //  Asignador de revisores a proyectos  
            $(".button_asign").on("click",function(){
                if(($(".filtroAsignators").val()!="")&&($(".filtroEtapa").val())){
                    // filtroAsignators
                    var assigned = [];

                    $.each($(".assigned:checked"), function(){            
                        assigned.push($(this).val());
                    });


                   //  console.log("My favourite sports are: " + assigned.join(","));

                    if(assigned.length>0){
                        $.ajax({

                            data: {revisor:$(".filtroAsignators").val(),assigned:assigned,etapa:$(".filtroEtapa").val()},
                            headers:{
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                            },
                            dataType: 'json',
                            url:"{{ URL::to('/')  }}/admin/asignators/assignRevisor",
                            type:'POST',
                            success:  function (data) {

                                if(data.status == "ok"){
                                    location.reload();
                                }
                            }
                        });
                    }
                }
            });

            // buscador
            $('#tablaProyectos').DataTable({
                    "paging":   false,
                    "ordering": false,
                    "info":     false,
                    
                    "language": {
                        "search": "Buscar:"
                    },
                }
            );

        } );

        function archivarProyecto(titulo) {
            var eligio = confirm("¿Archivar proyecto: "+titulo+"?");
            if (eligio == false) {
                return false;
            }
        }
    </script>
@endsection