@extends('admin.layouts.app')
@section('content')
    {{--<div class="admin-container">--}}
    {{--<div class="right-container">--}}


    <h1 class="page-header">Crear Grupo</h1>

    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">Datos</h3>
        </div>

        {{-- Mensajes --}}
        <div class="row">
            <div class="col-xs-12 col-sm-7 col-sm-offset-3">
                {{-- De error --}}
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                
                {{-- De exito --}}
                @if(Session::has('guardado'))
                    <div class="alert alert-success" role="alert">
                        {{Session::get('guardado', '')}}
                    </div>
                @endif
            </div>  
        </div>

      
        <div class="panel-body">

            {!! Form::open(array('route' => 'group.store',  'method' => 'POST','enctype'=>"multipart/form-data", 'class' => 'form-horizontal')) !!}

            {!!   Form::token() !!}


            <div class="form-group">
                {!! Form::label('', 'Nombre:', ['class' => 'col-sm-3']) !!}
                <div class="col-sm-9">
                    {!! Form::text('name', '', ['class' => 'form-control']) !!}
                </div>
            </div>

            <div class="form-group">
                {!! Form::label('', 'Slug:', ['class' => 'col-sm-3']) !!}
                <div class="col-sm-9">
                    {!! Form::text('slug', '', ['class' => 'form-control']) !!}
                </div>
            </div>

            <div class="form-group text-center">
                {!! Form::submit() !!}<br>
            </div>


            {!! Form::close() !!}
        </div>
    </div>


@endsection

@section('scripts')


    <script type="text/javascript">
        $(document).ready(function ($) {


            $('.select2el').select2();


            $('#accordion').find('.accordion-toggle').click(function () {


                //Expand or collapse this panel
                $(this).next().slideToggle('fast');

                //Hide the other panels
                $(".accordion-content").not($(this).next()).slideUp('fast');

            });
        });

    </script>
@endsection