@extends('admin.layouts.app')

@section('styles')
    <style>
        #cajaBuscador{
            margin-top: 25px;
        }

        #cajaTotalProyectos{
            margin-bottom: 15px;
        }

        #cajaTotalProyectos div{
            margin-bottom: 10px;
        }

        @media screen and (min-width: 768px) {
            .cajaFiltros{
                margin-bottom: 15px;
            }
        }

        @media screen and (max-width: 768px) {
            .cajaFiltros{
                margin-bottom: 15px;
            }
        }

        .cajaFiltros #cajaQuitarFiltro{
            margin-bottom: 15px;
        }
    </style>
@endsection

@section('content')

    <div class="page-header">
        <div class="row">
            <div class="col-xs-12 col-sm-3">
                <h1>Inscripciones</h1>
            </div>

        
        </div>
    </div>

 

    <div class="row cajaFiltros">
    @role('superadmin|administrador')
        <div class="col-xs-12 col-sm-12" id="cajaQuitarFiltro">
            <a href="inscription" class="btn btn-primary btn-xs">Quitar filtros</a>
        </div>

        {{-- filtro RESEÑADO --}}
        <div class="col-xs-12 col-sm-4">
            <span>
                Reseña
            </span>
            <form action="inscription" method="get">
                <div>
                    @if(isset($_GET['filtroTipoInscripcion']))
                        <input type="hidden" name="filtroTipoInscripcion" value="{{$_GET['filtroTipoInscripcion']}}">
                    @endif

                    @if(isset($_GET['filtroPais']))
                        <input type="hidden" name="filtroPais" value="{{$_GET['filtroPais']}}">
                    @endif

                    @if(isset($_GET['q']) && !empty($_GET['q']))
                        <input type="hidden" name="q" value="{{$_GET['q']}}">
                    @endif

                    @if(isset($_GET['filtroCategoria']))
                        <input type="hidden" name="filtroCategoria" value="{{$_GET['filtroCategoria']}}">
                    @endif

                    @if(isset($_GET['filtroRating']))
                        <input type="hidden" name="filtroRating" value="{{$_GET['filtroRating']}}">
                    @endif

                    <select name="filtroResenia" id="filtroResenia" onchange="this.form.submit()">
                        @if(!isset($_GET['filtroResenia']))
                            <option value="">Elegir</option>
                        @endif

                        @if(! is_null($estadosEvaluacion))
                            @foreach($estadosEvaluacion as $key => $cadaEstado)
                                <option value="{{ $cadaEstado['id'] }}">{{ $cadaEstado['titulo'] . " (" . $cadaEstado['cantidad'] . ")"}}</option>
                            @endforeach
                        @endif

                        {{-- <option value="1">Evaluado</option>
                        <option value="2">En proceso</option>
                        <option value="3">No evaluado</option> --}}

                        @if(isset($_GET['filtroResenia']))
                            @switch($_GET['filtroResenia'])
                                @case(1)
                                    @php($reseniaElegido = 'Evaluado')
                                @break

                                @case(2)
                                    @php($reseniaElegido = 'En proceso')
                                @break

                                @case(3)
                                    @php($reseniaElegido = 'No evaluado')
                                @break

                                @default
                                    @php($reseniaElegido = '')
                            @endswitch
                            <option value="{{$_GET['filtroResenia']}}" selected>{{ $reseniaElegido }}</option>
                        @endif

                    </select>
                </div>
            </form>
        </div>

        {{-- filtro PAIS --}}
        <div class="col-xs-12 col-sm-4">
            <span>
                País
            </span>
            <form action="inscription" method="get">
                <div>
                    @if(isset($_GET['filtroTipoInscripcion']))
                        <input type="hidden" name="filtroTipoInscripcion" value="{{$_GET['filtroTipoInscripcion']}}">
                    @endif

                    @if(isset($_GET['filtroResenia']))
                        <input type="hidden" name="filtroResenia" value="{{$_GET['filtroResenia']}}">
                    @endif

                    @if(isset($_GET['q']) && !empty($_GET['q']))
                        <input type="hidden" name="q" value="{{$_GET['q']}}">
                    @endif

                    @if(isset($_GET['filtroCategoria']))
                        <input type="hidden" name="filtroCategoria" value="{{$_GET['filtroCategoria']}}">
                    @endif

                    @if(isset($_GET['filtroRating']))
                        <input type="hidden" name="filtroRating" value="{{$_GET['filtroRating']}}">
                    @endif

                    <select name="filtroPais" id="filtroPais" onchange="this.form.submit()">
                        @if(!isset($_GET['filtroPais']))
                            <option value="">Elegir</option>
                        @endif

                        @foreach($paises as $pais)
                            <option value="{{ $pais->id }}">{{ $pais->pais . " (". $pais->cantidadPorPais . ")" }}</option>

                            @if(isset($_GET['filtroPais']) && $pais->id == $_GET['filtroPais'])
                                @php($paisElegido = $pais->pais)
                            @endif
                        @endforeach

                        @if(isset($_GET['filtroPais']))
                            <option value="{{$_GET['filtroPais']}}" selected>{{ $paisElegido }}</option>
                        @endif

                    </select>
                </div>
            </form>
        </div>

        {{-- filtro TIPO --}}
        <div class="col-xs-12 col-sm-4">
            <span>
                Tipo
            </span>
            <form action="inscription" method="get">
                <div>
                    @if(isset($_GET['filtroPais']))
                        <input type="hidden" name="filtroPais" value="{{$_GET['filtroPais']}}">
                    @endif

                    @if(isset($_GET['filtroResenia']))
                        <input type="hidden" name="filtroResenia" value="{{$_GET['filtroResenia']}}">
                    @endif

                    @if(isset($_GET['q']) && !empty($_GET['q']))
                        <input type="hidden" name="q" value="{{$_GET['q']}}">
                    @endif

                    @if(isset($_GET['filtroCategoria']))
                        <input type="hidden" name="filtroCategoria" value="{{$_GET['filtroCategoria']}}">
                    @endif

                    @if(isset($_GET['filtroRating']))
                        <input type="hidden" name="filtroRating" value="{{$_GET['filtroRating']}}">
                    @endif

                    <select name="filtroTipoInscripcion" id="filtroTipoInscripcion" onchange="this.form.submit()">
                        @if(!isset($_GET['filtroTipoInscripcion']))
                            <option value="">Elegir</option>
                        @endif

                        @foreach($array_tipo_proyecto as $cadaTipo)
                            <option value="{{ $cadaTipo->id }}">{{ $cadaTipo->name . " (". $cadaTipo->cantidadPorTipo . ")" }}</option>

                            @if(isset($_GET['filtroTipoInscripcion']) && $cadaTipo->id == $_GET['filtroTipoInscripcion'])
                                @php($tipoElegido = $cadaTipo->name)
                            @endif
                        @endforeach

                        @if(isset($_GET['filtroTipoInscripcion']))
                            <option value="{{$_GET['filtroTipoInscripcion']}}" selected>{{ $tipoElegido }}</option>
                        @endif

                    </select>
                </div>
            </form>
        </div>
    </div>

    <div class="row cajaFiltros">
        {{-- filtro TIPO --}}
        <div class="col-xs-12 col-sm-4">
            <span>
                Categoría
            </span>
            <form action="inscription" method="get">
                <div>
                    @if(isset($_GET['filtroPais']))
                        <input type="hidden" name="filtroPais" value="{{$_GET['filtroPais']}}">
                    @endif

                    @if(isset($_GET['filtroResenia']))
                        <input type="hidden" name="filtroResenia" value="{{$_GET['filtroResenia']}}">
                    @endif

                    @if(isset($_GET['q']) && !empty($_GET['q']))
                        <input type="hidden" name="q" value="{{$_GET['q']}}">
                    @endif

                    @if(isset($_GET['filtroTipoInscripcion']))
                        <input type="hidden" name="filtroTipoInscripcion" value="{{$_GET['filtroTipoInscripcion']}}">
                    @endif

                    @if(isset($_GET['filtroRating']))
                        <input type="hidden" name="filtroRating" value="{{$_GET['filtroRating']}}">
                    @endif

                    <select name="filtroCategoria" id="filtroCategoria" onchange="this.form.submit()">
                        @if(!isset($_GET['filtroCategoria']))
                            <option value="">Elegir</option>
                        @endif

                        @foreach($listaCategorias as $cadaCategoria)
                            <option value="{{ $cadaCategoria->id }}">{{ $cadaCategoria->name . " (". $cadaCategoria->cantidadPorCategoria . ")" }}</option>

                            @if(isset($_GET['filtroCategoria']) && $cadaCategoria->id == $_GET['filtroCategoria'])
                                @php($tipoElegido = $cadaCategoria->name)
                            @endif
                        @endforeach

                        @if(isset($_GET['filtroCategoria']))
                            <option value="{{$_GET['filtroCategoria']}}" selected>{{ $tipoElegido }}</option>
                        @endif

                    </select>
                </div>
            </form>
        </div>

        {{-- filtro RATING --}}
        <div class="col-xs-12 col-sm-4">
            <span>
                Rating
            </span>
            <form action="inscription" method="get">
                <div>
                    @if(isset($_GET['filtroPais']))
                        <input type="hidden" name="filtroPais" value="{{$_GET['filtroPais']}}">
                    @endif

                    @if(isset($_GET['filtroResenia']))
                        <input type="hidden" name="filtroResenia" value="{{$_GET['filtroResenia']}}">
                    @endif

                    @if(isset($_GET['q']) && !empty($_GET['q']))
                        <input type="hidden" name="q" value="{{$_GET['q']}}">
                    @endif

                    @if(isset($_GET['filtroCategoria']))
                        <input type="hidden" name="filtroCategoria" value="{{$_GET['filtroCategoria']}}">
                    @endif

                    @if(isset($_GET['filtroTipoInscripcion']))
                        <input type="hidden" name="filtroTipoInscripcion" value="{{$_GET['filtroTipoInscripcion']}}">
                    @endif

                    <select name="filtroRating" id="filtroRating" onchange="this.form.submit()">
                        @if(!isset($_GET['filtroRating']))
                            <option value="">Elegir</option>
                        @endif

                        @foreach($listaRating as $cadaRating)
                            <option value="{{ $cadaRating['id'] }}">{{ $cadaRating['titulo'] . " (". $cadaRating['cantidad'] . ")" }}</option>

                            @if(isset($_GET['filtroRating']) && $cadaRating['id'] == $_GET['filtroRating'])
                                @php($ratingElegido = $cadaRating['titulo'])
                            @endif
                        @endforeach

                        @if(isset($_GET['filtroRating']))
                            <option value="{{$_GET['filtroRating']}}" selected>{{ $ratingElegido }}</option>
                        @endif

                    </select>
                </div>
            </form>
        </div>

    </div>
    @endrole














    {{-- proyectos --}}
<div class="table-responsive">

    <table class="table display table-hover" id="tablaProyectos">
        <thead>
            <tr>
                <th>Nº</th>
                <th>Título</th>
                <th>Artista/Curador</th>
                @role('superadmin|administrador')
                    <th>Estado</th>

                    @if(isset($_GET['filtroResenia']) && ($_GET['filtroResenia'] == 2 || $_GET['filtroResenia'] == 1))
                        <th>Proceso</th>
                    @endif
                @endrole

                <th>Ver</th>

                @role('superadmin')
                    <th>Archivar</th>
                @endrole
            </tr>
        </thead>

        <tbody>
                @if(\Session::has('detalleEnProceso'))
                    @php($detalleEnProceso = \Session::get('detalleEnProceso'))
                @endif

                @if(\Session::has('detalleEvaluado'))
                    @php($detalleEvaluado = \Session::get('detalleEvaluado'))
                @endif

                @php($reseniado = '')

                @foreach($projects as $key => $proyecto)

                @if($proyecto->group_id  )
                    @switch($proyecto->reseniado)
                        @case('EVALUADO')
                            @php($reseniado = "success")
                            @break

                        @case('EN PROCESO')
                            @php($reseniado = "warning")
                            @break

                        @case('NO EVALUADO')
                            @php($reseniado = "danger")
                            @break

                        @case('EN REEVALUACION')
                            @php($reseniado = "info")
                            @break

                        @default
                            @php($reseniado = "")
                            @break
                    @endswitch


                    <tr class="{{ $reseniado }}">
                        <td>{{ $proyecto->origin_id }}</td>
                        <td>{{$proyecto->title}}</td>
                        <td>{{ $proyecto->userdata['fullname'] }} </td>
                        @role('superadmin|administrador')
                            <td>{{ucwords(strtolower($proyecto->reseniado))}}</td>

                            @if(isset($_GET['filtroResenia']) && ($_GET['filtroResenia'] == 2 || $_GET['filtroResenia'] == 1))
                                @if(\Session::has('detalleEnProceso'))
                                    @foreach($detalleEnProceso as $keyDetalle => $cadaDetalle)
                                        @if($cadaDetalle['idProyecto'] == $proyecto->id)
                                            <td>{{ '(' . $cadaDetalle['cantidadCommentRecibida'] . ' de ' .  $cadaDetalle['cantidadRevisores'] . ')' }} </td>
                                        @endif
                                    @endforeach
                                @endif

                                @if(\Session::has('detalleEvaluado'))
                                    @foreach($detalleEvaluado as $keyEvaluado => $cadaEvaluado)
                                        @if($cadaEvaluado['idProyecto'] == $proyecto->id)
                                            <td>{{ '(' . $cadaEvaluado['cantidadCommentRecibida'] . ' de ' .  $cadaEvaluado['cantidadRevisores'] . ')' }} </td>
                                        @endif
                                    @endforeach
                                @endif
                            @endif
                        @endrole
                        <td>
                            <a class="btn btn-primary" href="{{ URL::to('/') }}/admin/inscription/{{ $proyecto->id }}">Ver proyecto</a>
                        </td>


                    @role('superadmin')
                        <td>
                            <a class="btn btn-warning" href="{{ URL::to('/') }}/admin/archiveProject/{{ $proyecto->id }}" onclick="return archivarProyecto('{{$proyecto->title}}')">Archivar</a>
                        </td>
                    @endrole

                    
                    </tr>
                    @endif
                @endforeach
            </form>
        </tbody>
    </table>
</div>

@endsection

@section('scripts')
    <script>
        $(document).ready( function () {
            // buscador
            $('#tablaProyectos').DataTable({
                    "paging":   false,
                    "ordering": false,
                    "info":     false,

                    "language": {
                        "search": "Buscar:"
                    },
                }
            );

        } );

        function archivarProyecto(titulo) {
            var eligio = confirm("¿Archivar proyecto: "+titulo+"?");
            if (eligio == false) {
                return false;
            }
        }
    </script>
@endsection