@extends('admin.layouts.app')
@section('content')
    <h1 class="page-header">{{ $project->title }}</h1>
	
	{{-- Mensajes --}}
	<div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">Mensajes</h3>
        </div>

        <div class="panel-body">
			<div class="table-responsive">		
		      	<table class="table table-striped">
		      		<thead>
		      			<th>Autor</th>
		      			<th>Comentario</th>
		      			{{-- <th>Acción</th> --}}
		      		</thead>
					
					<tbody>
						@foreach($messages as $message)
							<tr>
								<td>
									{{ $message->nombreAutor }}
								</td>
								<td>
									{{ $message->comment }}
								</td>
								{{-- <td>
									<a class="btn btn-primary btn-xs editarComentario" id="{{$message->id}}">Editar</a>
								</td> --}}
							</tr>							
						@endforeach
					</tbody>
		      	</table>
			</div>
        </div>
    </div>

	{{-- Agregar mensaje --}}
	<div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">Agregar mensaje</h3>
        </div>

        {{-- Mensajes --}}
        <div class="row">
            <div class="col-xs-12 col-sm-7 col-sm-offset-3">
                {{-- De error --}}
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                
                {{-- De exito --}}
                @if(Session::has('mensajeGuardado'))
                    <div class="alert alert-success" role="alert">
                        {{Session::get('mensajeGuardado', '')}}
                    </div>
                @endif
            </div>  
        </div>

      
        <div class="panel-body">

            {!! Form::open(array('route' => 'my-projects.storeMessage',  'method' => 'POST','enctype'=>"multipart/form-data", 'class' => 'form-horizontal')) !!}

	            {!! Form::token() !!}

	            {{ Form::hidden('idProject', $project->id) }}
	            {{ Form::hidden('idRevisor', \Auth::id()) }}


	            <div class="form-group">
	                {!! Form::label('', 'Texto:', ['class' => 'col-sm-3']) !!}
	                <div class="col-sm-9">
	                    {!! Form::textarea('comment', '', ['class' => 'form-control']) !!}
	                </div>
	            </div>

	            <div class="form-group text-center">
	                {!! Form::submit() !!}<br>
	            </div>


            {!! Form::close() !!}
        </div>
    </div>
@endsection