@extends('admin.layouts.app')
@section('content')
    <h1 class="page-header">Editar Usuario</h1>

    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">Información personal</h3>
        </div>

        {{-- Mensajes --}}
        <div class="row">
            <div class="col-xs-12 col-sm-7 col-sm-offset-3">
                {{-- De error --}}
                @if ($errors->any())
                    @foreach ($errors->all() as $error)
                        @if(!$errors->has('stages') && !$errors->has('projects'))
                            <div class="alert alert-danger">
                                <ul>
                                    <li>{{ $error }}</li>
                                </ul>
                            </div>
                        @endif
                    @endforeach
                @endif
                
                {{-- De exito --}}
                @if(Session::has('guardado'))
                    <div class="alert alert-success" role="alert">
                        {{Session::get('guardado', '')}}
                    </div>
                @endif
            </div>  
        </div>


        <div class="panel-body">

            {!! Form::open(array('route' => ['user.update', $user->id],  'method' => 'PATCH','enctype'=>"multipart/form-data", 'class' => 'form-horizontal')) !!}

            {!!   Form::token() !!}


            <div class="form-group">
                {!! Form::label('', 'Nombre:', ['class' => 'col-sm-3']) !!}
                <div class="col-sm-9">
                    {!! Form::text('name', $user->name, ['class' => 'form-control']) !!}
                </div>
            </div>

            <div class="form-group">
                {!! Form::label('', 'Apellido:', ['class' => 'col-sm-3']) !!}
                <div class="col-sm-9">
                    {!! Form::text('surname', $user->surname, ['class' => 'form-control']) !!}
                </div>
            </div>

            <div class="form-group">
                {!! Form::label('', 'Email:', ['class' => 'col-sm-3']) !!}
                <div class="col-sm-9">
                    {!! Form::text('email', $user->email, ['class' => 'form-control']) !!}
                </div>
            </div>

            <div class="form-group">
                {!! Form::label('', 'Usuario:', ['class' => 'col-sm-3']) !!}
                <div class="col-sm-9">
                    {!! Form::text('user', $user->user, ['class' => 'form-control']) !!}
                </div>
            </div>

            {{-- <div class="form-group">
                {!! Form::label('', 'Password:', ['class' => 'col-sm-3']) !!}
                <div class="col-sm-9">
                    {!! Form::password('password', ['class' => 'form-control']) !!}
                </div>
            </div> --}}

            <div class="form-group">
                {!! Form::label('', 'Rol:', ['class' => 'col-sm-3']) !!}
                <div class="col-sm-9">
                    @php($tildar = false)
                    @foreach($roles as $rol)
                        @if(in_array($rol, $user->rol))
                            @php($tildar = true)
                        @else
                            @php($tildar = false)
                        @endif
                        
                        {{-- checkbox --}}
                        <span>{{$rol}}</span>
                        {{ Form::checkbox('rol[]', $rol, $tildar) }}
                        <br>
                    @endforeach
                    
                    {{-- {{ Form::select('rol', $roles, $user->rol, ['placeholder' => 'Seleccionar']) }} --}}
                    
                </div>
            </div>

            <div class="form-group text-center">
                {!! Form::submit() !!}<br>
            </div>


            {!! Form::close() !!}
        </div>
    </div>


    {{-- Asignar proyectos por etapa --}}
    @if($user->hasRole('revisor'))
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">Proyectos asignados (revisor {{ $user->name .' '.$user->surname }})</h3>
            </div>

            {{-- De exito --}}
            @if(Session::has('asignacionBorrada'))
                <div class="alert alert-success" role="alert">
                    {{Session::get('asignacionBorrada', '')}}
                </div>
            @endif

            <div class="panel-body">
                <div class="form-group row">
                    <div class="col-xs-12 col-sm-4">
                        Total proyectos: <b>{{ $total_proyectos }}</b>
                    </div>

                    <div class="col-xs-12 col-sm-4">
                        Proyectos evaluados: <b>{{ $cantidad_proyectos_evaluados }}</b>
                    </div>

                    <div class="col-xs-12 col-sm-4">
                        Proyectos pendientes: <b>{{ $cantidad_proyectos_pendientes }}</b>
                    </div>
                </div>
                <hr>

                <div class="form-group row">
                    <div class="col-xs-12 col-sm-4">
                        Eliminar asignaciones seleccionadas : <button class="btn btn-danger" id="botonEliminarAsigados">Eliminar</button>
                    </div>

                    <div class="col-xs-12 col-sm-4">

                    </div>

                    <div class="col-xs-12 col-sm-4">

                    </div>
                </div>
                <hr>


                @foreach($proyectosAsignados as $key => $value)
                    <div class="form-group row" id="rowAsignacion-{{ $value->id }}">
                        {!! Form::label('', 'Etapa ' . $value->nombreEtapa, ['class' => 'col-sm-3']) !!}
                        
                        <div class="col-sm-1">
                            {{ $value->origin_id }}
                        </div>

                        <div class="col-sm-6">
                            {{ $value->tituloProyecto }}
                        </div>

                        <div class="col-sm-1">
                            {!! Form::checkbox('check_multiple_eliminar', $value->id) !!}
                        </div>

                        <div class="col-sm-1">
                            {!! Form::open(array('route' => ['removeProject', $value->id],  'method' => 'POST','enctype'=>"multipart/form-data", 'class' => 'form-horizontal')) !!}

                                {!! Form::token() !!}

                                <input name="_method" type="hidden" value="DELETE">
                                
                                {!! Form::submit('Quitar', ['class' => 'btn btn-danger btn-xs']) !!}
                            {!! Form::close() !!}
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
        
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">Asignar proyectos (revisor {{ $user->name .' '.$user->surname }})</h3>
            </div>

            @if ($errors->has('stages') || $errors->has('projects'))
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            {{-- De exito --}}
            @if(Session::has('asignado'))
                <div class="alert alert-success" role="alert">
                    {{Session::get('asignado', '')}}
                </div>
            @endif

            <div class="panel-body">
            {!! Form::open(array('route' => ['saveProjects'],  'method' => 'POST','enctype'=>"multipart/form-data", 'class' => 'form-horizontal')) !!}

                {!! Form::token() !!}

                {!! Form::hidden('idRevisor', $user->id) !!}
                

                <div class="form-group">
                    {!! Form::label('', 'Etapa:', ['class' => 'col-sm-3']) !!}
                    <div class="col-xs-12 col-sm-5">
                        <select name="stages" id="stages" class="form-control js-example-basic-multiple">
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    {!! Form::label('', 'Proyecto:', ['class' => 'col-sm-3']) !!}
                    <div class="col-sm-9">
                        <label for="id_label_multiple">
                            Proyectos
                            <select name="projects[]" id="projects" class="js-example-basic-multiple" multiple="multiple" style="width: 100%" disabled="disabled">
                            </select>
                        </label>
                    </div>
                </div>

                <div class="form-group text-center">
                    {!! Form::submit() !!}<br>
                </div>


                {!! Form::close() !!}
            </div>
        </div>
    @endif


@endsection

@section('scripts')


    <script type="text/javascript">
        $( document ).ready(function() {
            // Inicializacion
            $('.js-example-basic-multiple').select2();

            //Select (stages)
            $("#stages").html();
            $("#stages").html("<option value=''>Etapa</option>");

            var request = $.ajax({
                url: '{{ url("/admin/getStages/") }}',
                method: "GET",
                dataType: "json"
            });
             
            request.done(function( obj ) {
                // Add returned options
                $.each(obj, function (index) {   
                    // console.log(obj[index].name);
                    valor = obj[index].id;
                    texto = obj[index].name;

                    $("#stages").append('<option value=' + valor + '>' + texto + '</option>');
                });
             });


            //Select (projects)
            $('#stages').change(function(){
                $('#projects').select2('destroy');
                $('#projects').select2();

                $('#projects').removeAttr("disabled");

                $("#projects").html('');
                
                var request = $.ajax({
                    url: '{{ url("/admin/getProjects/") }}',
                    method: "GET",
                    data: { idRevisor : {{ $user->id }}, idStage : $("#stages").val()}, 
                    dataType: "json"
                });
                 
                request.done(function( obj ) {
                    // Add returned options
                    console.log(obj);
                    $.each(obj, function (index) {   
                        // console.log(obj[index].name);
                        valor = obj[index].id;
                        texto = obj[index].title;

                        $("#projects").append('<option value=' + valor + '>' + texto + '</option>');
                        
                        //borra options repetidos
                        var code = {};
                        $("#projects > option").each(function () {
                            if(code[this.text]) {
                                $(this).remove();
                            } else {
                                code[this.text] = this.value;
                            }
                        });                        

                    });
                 });
            });


            // Eliminar asignaciones multiples:
            $('#botonEliminarAsigados').on('click', function(){
                var eligio = confirm("¿Eliminar asignaciones seleccionadas?");

                if (eligio == true) {
                    var array_borrar_asignados = [];

                    cadaAsignacion = $('input[name="check_multiple_eliminar"]');
                    $.each(cadaAsignacion, function(index, value){
                        if ($(this).is(':checked')) {
                            array_borrar_asignados.push($(this).val());                        
                        }
                    })

                    var asignaciones_a_borrar = JSON.stringify(array_borrar_asignados);

                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                          },
                        url: '{{ url("/admin/asignaciones/removeProjectMultiple/") }}',
                        method: "GET",
                        data: { idAsignaciones : asignaciones_a_borrar},
                        dataType: "json",
                        success:  function (respuesta) {
                            if(respuesta.status == "ok"){
                                // Borrar de pantalla cada fila:
                                
                                array_borrar_asignados.forEach(function(value, index){
                                    $("#rowAsignacion-" + value).remove();
                                })

                            }
                        }
                    });
                }
            })

//cierre de ready
});

    </script>
@endsection