@extends('layouts/app')
@section('styles')

@endsection

@section('content')
@if (LaravelLocalization::getCurrentLocale() == 'fr')
    <div class="form-container">
      <!-- <h3>{{ __('inscription.Help') }}</h3> -->
      <h3>Page d´aide</h3>

      <div class="cont-help">
        <h4 class="form-header">Remplir le formulaire peut prendre 20 minutes environ. Nous vous conseillons de le faire avec votre ordinateur. C´est plus facile.</h4>

        <p>Lisez attentivement le formulaire avant l´inscription, afin d´avoir à votre portée toute l´information requise.</p>
        <p>Nous vous conseillons de faire votre inscription depuis une PC/MAC, un iPad ou une Tablette, surtout s´il s´agit de l´inscription d´un groupe car dans ce cas-là, il y a plus d´informations à fournir.</p>
        <p>Il est nécessaire que la version du navigateur internet soit mise à jour, en donnant la priorité aux navigateurs modernes (Chrome, Firefox, Safari). Vous pouvez remplir le formulaire depuis un mobile, mais il faut toujours que le navigateur soit mis à jour.</p>
        <p>Lorsque le formulaire est présenté comme nous l´avons indiqué, vous verrez affiché le message : “L´inscription est réussie”.<br />
        Une fois le projet envoyé tel que prévu, vous recevrez un message de confirmation. Vérifiez toujours votre boîte Spam. Nous vous conseillons d´ajouter notre adresse mail à votre liste de contacts, afin de recevoir nos notifications.</p>
        <br />

        <h4 class="form-header">S´il y avait des erreurs vérifiez:</h4>

        <p>Si le formulaire ne part pas en cliquant la touche d´envoi, vérifiez l´ensemble pour être sûrs qu´il ne manque pas une donnée ou du matériel associé. S´il manquait des données, cela va être indiqué par une alerte écrite en rouge.</p>
        <br />

        <h4 class="form-header">Si les fichiers joints n´ouvraient pas, vérifiez:</h4>

        <h4 class="form-header">Vidéos</h4>

        <p>Il y a deux manières d´ajouter des vidéos au formulaire:</p>
        <p>1.	On peut télécharger 1 fichier vidéo, avec une durée maximale d´une minute et moins de 30MB. Il est aussi possible de charger directement les fichiers (format MP4).<br />
        Quand vous chargerez les fichiers vidéo, vous verrez une barre d´état grise qui changera au vert quand la charge sera finie.</p>
        <p>2.	En ajoutant le lien de l´URL de la vidéo sur YouTube (s´il est déjà chargé sur cette plateforme-là). Si vous avez plus d´un lien, copiez-les en les séparant d´une virgule (,) sur le lien “<b>Link Youtube/Soundcloud</b>”.</p>
        <br />

        <h4 class="form-header">Images</h4>
        <p>Vous pouvez joindre jusqu´à dix images par projet, le maximum par image est de 2MB.<br />
        Quand vous chargerez les images, vous verrez une barre d´état grise qui changera au vert quand la charge sera finie.</p>
        <br />

        <h4 class="form-header">Audio</h4>
        <p>Vous pouvez charger un fichier audio, format MP3, ayant maximum une minute de durée et moins de 10MB.<br />
        Quand vous chargerez le fichier audio, vous verrez une barre d´état grise qui changera au vert quand la charge sera finie.</p>
        <br />

        <p>Le système affichera un avertissement d´erreur si la charge n´a pas réussi ou bien si les fichiers dépassent la taille admise.<br />
        Pour pouvoir faire la charge des fichiers il est nécessaire que la connexion Internet soit stable.</p>
        <br />

        <p>Si vous avez besoin d´assistance technique adressez-vous à <a href="mailto:webmaster@bienalsur.org">webmaster@bienalsur.org</a> </p>

      </div>
    </div>

    @elseif (LaravelLocalization::getCurrentLocale() == 'pt')
    <div class="form-container">
      <!-- <h3>{{ __('inscription.Help') }}</h3> -->
      <h3>Seção ajuda</h3>

      <div class="cont-help">
        <h4 class="form-header">Preencher este formulário pode demorar uns 20 minutos. Recomendamos preencher o formulário em um computador para sua conveniência.</h4>

        <p>Leia o formulário cuidadosamente antes da inscrição, para ter disponíveis todas as informações solicitadas nele.</p>
        <p>Recomenda-se fazer a inscrição, em um PC / MAC, iPad ou Tablet, especialmente em casos de inscrições de grupos, já que a quantidade de informação a ser preenchida é maior.</p>
        <p>É necessário que a versão do navegador esteja atualizada, priorizando o uso de navegadores modernos (Chrome, Firefox, Safari). É indistinto se você está se inscrevendo com um celular, segue a mesma necessidade de que seu navegador esteja atualizado.</p>
        <p>Quando o formulário for enviado corretamente, você verá a mensagem: "O registro foi bem-sucedido".<br />
        Assim que o projeto for enviado corretamente, você receberá um e-mail de confirmação. Por favor, verifique sempre na sua pasta de correio indesejado (Spam). Recomendamos adicionar o remetente à sua lista de contatos para receber nossas notificações.</p>
        <br />

        <h4 class="form-header">Em caso de erros, revisar:</h4>

        <p>Se o formulário não for enviado quando você pressionar o botão de envio, revise tudo novamente para garantir que não falte preencher nenhum dado ou material associado. Em caso de dados faltantes, estes estarão marcados com um alerta escrito em vermelho.</p>
        <br />

        <h4 class="form-header">Caso os arquivos anexados não forem carregados, revisar:</h4>

        <h4 class="form-header">Vídeos</h4>

        <p>Existem 2 maneiras de adicionar vídeos ao formulário:</p>
        <p>1. Você pode enviar 1 arquivo de vídeo, com duração máxima de 1 minuto e tamanho inferior a 30MB, subindo os arquivos diretamente (formato MP4).<br />
        Ao carregar arquivos de vídeo, você verá uma barra de status cinza que muda para verde quando o arquivo esteja carregado.</p>
        <p>2.	Adicionando o link URL do vídeo de YouTube (se você já o tiver carregado anteriormente nessa plataforma). Se você tiver mais de um link, copie os links separando-os com uma vírgula (,) no campo “<b>Link Youtube/Soundcloud</b>”.</p>
        <br />

        <h4 class="form-header">Imagens</h4>
        <p>Você pode anexar até 10 imagens por projeto e o tamanho máximo por imagem é de 2 MB.<br />
        Ao carregar as imagens, você notará uma barra de status de cor cinza que muda para verde quando o arquivo esteja carregado.</p>
        <br />

        <h4 class="form-header">Áudio</h4>
        <p>Você pode subir um arquivo de áudio no formato MP3, no máximo de 1 minuto de duração e com menos de 10MB de tamanho.<br />
        Ao carregar arquivos de áudio, você verá uma barra de status cinza que muda para verde quando o arquivo esteja carregado.</p>
        <br />

        <p>Em todos os casos, o sistema mostrará uma mensagem de erro se falhar o carregamento ou se os arquivos excederem o tamanho permitido.<br />
        É necessário ter uma conexão de Internet estável para o carregamento de arquivos.</p>
        <br />

        <p>Para receber suporte técnico escreva para <a href="mailto:webmaster@bienalsur.org">webmaster@bienalsur.org</a></p>

      </div>
    </div>

    @elseif (LaravelLocalization::getCurrentLocale() == 'en')
    <div class="form-container">
      <!-- <h3>{{ __('inscription.Help') }}</h3> -->
      <h3>Help</h3>

      <div class="cont-help">
        <h4 class="form-header">This form will take about 20 minutes to complete. We recommend the form be completed from a computer.</h4>

        <p>Please read the form carefully before registering in order to make sure to have all the requested information.</p>
        <p>It is advisable to register from a PC/MAC, iPad or Tablet, especially in the case of group registrations on account of the volume of information to submit.</p>
        <p>The browser version must be updated. It is preferable to use modern browsers (Chrome, Firefox, Safari). You can apply from your mobile as long as the browser is updated.</p>
        <p>When the form is submitted correctly, the message “Registration successful” will be displayed.<br />
        Once the project has been submitted correctly, you will receive a confirmation email.<br />
        Please check your Spam Folder.<br />
        We recommend that you add the sender to your contacts list to receive our emails.</p>
        <br />

        <h4 class="form-header">In case of errors, please check:</h4>

        <p>If the form cannot be sent after clicking on the “Send” button, check the form once again to make sure that all the requested information and associated material have been provided. Inncomplete data will be marked in red.</p>
        <br />

        <h4 class="form-header">In case attached files cannot be uploaded, please check:</h4>

        <h4 class="form-header">Videos</h4>

        <p>There are 2 ways to attach videos to the form:</p>
        <p>1. 1 video file can be uploaded, with a maximum length of 1 minute and a maximum size of 30MB. Upload files directly (MP4 format).<br />
        When uploading the video files, a grey status bar will be displayed, which will turn green once the upload process is completed.</p>
        <p>2.	Add the YouTube video URL (if previously uploaded on that platform). In case of more than one link, please copy them separated by commas (,) in the field “<b>Link Youtube/Soundcloud</b>”.</p>
        <br />

        <h4 class="form-header">Images</h4>
        <p>Up to 10 images per project can be attached, with a maximum size of 2MB.<br />
        When uploading the images, a grey status bar will be displayed, which will turn green once the upload process is completed.</p>
        <br />

        <h4 class="form-header">Audio</h4>
        <p>One MP3 audio file can be uploaded, with a maximum length of 1 minute and a maximum size of 10MB.<br />
        When uploading the audio files, a grey status bar will be displayed, which will turn green once the upload process is completed.</p>
        <br />

        <p>In every case, an error message will be displayed if the upload fails or if the files exceed the allowed size.<br />
        A stable Internet connection is required to upload files.</p>
        <br />

        <p>For technical support contact <a href="mailto:webmaster@bienalsur.org">webmaster@bienalsur.org</a></p>

      </div>
    </div>

    @else
    <div class="form-container">
      <!-- <h3>{{ __('inscription.Help') }}</h3> -->
      <h3>Ayuda</h3>

      <div class="cont-help">
        <h4 class="form-header">Completar este formulario puede llevar alrededor de 20 minutos. Recomendamos completar el formulario desde una computadora para su comodidad.</h4>

        <p>Lea detenidamente el formulario previamente a la inscripción, para tener al alcance toda la información que en él se solicita.</p>
        <p>Se recomienda realizar la inscripción desde una PC/MAC, iPad o Tablet, especialmente en casos de inscripciones grupales ya que se extiende la cantidad de información a completar.</p>
        <p>Es necesario que la versión del navegador esté actualizada priorizando el uso de navegadores modernos (Chrome, Firefox, Safari). Es indistinto si está aplicando desde un móvil, pero con la misma necesidad de que su navegador esté actualizado.</p>
        <p>Cuando el formulario se envía correctamente se verá el mensaje: “La inscripción se realizó con éxito”.<br />
        Una vez que el proyecto se envió correctamente recibirá un correo de confirmación. Por favor siempre verifique su carpeta de Correo No Deseado (Spam). Recomendamos añadir el remitente a su lista de contactos para recibir nuestras notificaciones.</p>
        <br />

        <h4 class="form-header">En caso de errores revise:</h4>

        <p>Si el formulario no se envía al presionar el botón de envío, revíselo todo nuevamente para asegurarse que no le falte completar ningún dato o material asociado. En caso de datos faltantes se los marcará con una alerta escrita en color rojo.</p>
        <br />

        <h4 class="form-header">En caso de que los archivos adjuntos no se carguen revise:</h4>

        <h4 class="form-header">Videos</h4>

        <p>Hay 2 maneras de agregar videos al formulario:</p>
        <p>1. Se puede subir 1 archivo de video, con un máximo de duración de 1 minuto y un tamaño menor a 30MB. Subiendo directamente los archivos (formato MP4).<br />
        Al cargar archivos de video podrá ver una barra de estado color gris que al completar la subida del archivo cambia a verde.</p>
        <p>2. Agregando el link de la URL del video en YouTube (si ya lo tiene previamente cargado en esa plataforma). Si se posee más de un link, cópielos separándolos con una coma (,) en el campo “<b>Link Youtube/Soundcloud</b>”.</p>
        <br />

        <h4 class="form-header">Imágenes</h4>
        <p>Se pueden adjuntar hasta 10 imágenes por proyecto, y el tamaño máximo por imagen es de 2MB.<br />
        Al cargar las imágenes notará una barra de estado color gris que al completar la subida del archivo cambia a verde.</p>
        <br />

        <h4 class="form-header">Audio</h4>
        <p>Se puede subir un archivo de audio en formato MP3, de no más de 1 minuto de duración y menos de 10MB de tamaño.<br />
        Al cargar archivos de audios verá una barra de estado color gris que al completar la subida del archivo cambia a verde.</p>
        <br />

        <p>En todos los casos, el sistema le mostrará un aviso de error si falla la carga o si los archivos exceden el tamaño permitido.<br />
        Es necesario tener una conexión a Internet estable para la carga de archivos.</p>
        <br />

        <p>Para recibir soporte técnico escriba a <a href="mailto:webmaster@bienalsur.org">webmaster@bienalsur.org</a> </p>

      </div>
    </div>

    @endif

@endsection


@section('scripts')

@endsection
