<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Lang;
use Illuminate\Support\Facades\Response;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/




Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});


Route::get('types',['uses'=>'TypeController@getAllTypes']);
Route::get('tags',['uses'=>'TagController@getTags']);
Route::get('countries',['uses'=>'CountryController@getCountries']);
Route::get('localization',function(){
    $results = [
        'en'=>Lang::get('inscription',[],'en'),
        'es'=>Lang::get('inscription',[],'es'),
        'pt'=>Lang::get('inscription',[],'pt'),
        'fr'=>Lang::get('inscription',[],'fr'),
    ];
    $statusCode = 200;
    return Response::json($results, $statusCode);
});


Route::post('upload', 'UploadController@upload');
Route::get('delete-attachment/{attach_id}/{name}', 'UploadController@delete');

Route::get('get-id','InitController@getId');


Route::post('inscription-store',['uses'=>'InscriptionController@store']);
